
# =================== КОМНАТА ================

label room_reddy:
    show screen loc("Комната Милли")
    if event_loc["room_reddy"] == 1:
        $event_loc["room_reddy"] = 2
        reddy "Это моя славная комната. Здесь у меня хорошо и уютно..."
        boss_g "Просто ужасный бардак!"
        reddy "Это называется творческий беспорядок! И вообще - прочь из моей головы!"
    menu:
        nar "Небольшая уютная комната деревенского дома. Свет из окон мягко освещает стол, заваленный всяким хламом – это творческий беспорядок! Тут и там разбросана одежда – так удобнее одеваться. Возле кровати стоит гитара и пустая бутылка из-под вина. На стене три портрета: бабушка, мама и дочка, все трое с родственной хитринкой в глазах."
        "Осмотреть стол":
            jump room_reddy_desc_table
        "Осмотреть портреты":
            jump room_reddy_desc_pic
        "В кухню":
            jump kit_reddy
        "Выйти из дома" if troff_exist == 1:
            scene pol_flowers with fade
            jump pol_flowers


label room_reddy_desc_table:
    menu:
        reddy "Тут много чего полезного, но самое важное - книга о волках. Я ее полгода искала, а потом дополняла всякими сведениями. Жаль, что нельзя ее взять с собой - этакий талмуд в сумку не лезет. Но можно сделать краткие заметки."
        "Читать книгу":
            show screen book_wolf() with dissolve
            if troff_exist == 0:
                $troff_exist = 1
            jump room_reddy_desc_table
        "Осмотреться":
            jump room_reddy

label room_reddy_desc_pic:
    if event_loc["room_reddy_pic"] == 5:
        $event_loc["room_reddy_pic"] = 1
        $pic = "Вроде все родственники, но какие разные!"
    elif event_loc["room_reddy_pic"] == 4:
        $pic = "И почему я вообще держу здесь этот портрет. Ааа, он же дырку в стене закрывает!"
        $event_loc["room_reddy_pic"] += 1
    elif event_loc["room_reddy_pic"] == 3:
        $pic = "Мне кажется, художник нарисовал мне недостаточно выразительные глаза."
        $event_loc["room_reddy_pic"] += 1
    elif event_loc["room_reddy_pic"] == 2:
        $pic = "Кажется, на портрете бабушка совсем на себя не похожа. Уж я то хорошо знаю эту старую перечницу!"
        $event_loc["room_reddy_pic"] += 1
    else:
        $pic = "Бедная матушка не вынесла всех этих волков и уехала в город. Но я так просто не отступлю."
        $event_loc["room_reddy_pic"] += 1
    menu:
        reddy "[pic]"
        "Осмотреться":
            jump room_reddy




# =================== КУХНЯ ================

label kit_reddy:
    show screen loc("Кухня Милли")
    if event_loc["kit_reddy"] == 1:
        $event_loc["kit_reddy"] = 2
        reddy "А не заварить ли мне чайку..."
        boss_g "Где? Здесь ни одной чистой чашки."
        reddy "Ты просто завидуешь, что у меня такой милый домик."
        boss_g "Я в этот тараканник ни лапой!"
        reddy "Вот и пошел прочь!"
    menu:
        nar "Обычная кухня с повседневным беспорядком: тут и там грязная посуда, чашки с недопитым отваром, пузатый самовар на столе царем сияет среди другой утвари. В углу стоит ведро, на потолке и стенах развешаны разные травы и грибы, дверь в подпол, где хранятся соленья, заботливо прикрыта видавшим виды ковром. Большую часть кухни занимает добротно сложенная печь."
        "Осмотреть печь":
            jump kit_reddy_bake
        "Осмотреть стол":
            jump kit_reddy_table
        "В комнату":
            jump room_reddy

label kit_reddy_table:
    menu:
        nar "Стол весь в крошках, я недавно ела, но убираться сейчас неохота, у меня много других дел. Около стола лежит мешок, наполненный орехами - подарок от бабушки."
        "Взять орешки":
            if oreh_count < 10:
                $oreh_count = 10
                if inv_exist["oreh"] == 0:
                    $inv.append(oreh)
                    $inv_exist['oreh'] = 1
                reddy "Мои любимые орешки. Раньше я семки грызла, но теперь вот перешла на них."
            else:
                reddy "Я уже все карманы ими набила!"
            jump kit_reddy_table
        "Отойти от стола":
            jump kit_reddy


label kit_reddy_bake:
    menu:
        nar "На печи стоит блюдо с пирожками. Судя по всему, они там уже очень долго лежат."
        "Взять пирожки":
            if pies_count < 10:
                $pies_count = 10
                if inv_exist["pies"] == 0:
                    $inv.append(pies)
                    $inv_exist['pies'] = 1
                reddy "Всегда приятно взять в дорогу пирожков."
            else:
                reddy "Достаточно пирожков!"
            jump kit_reddy_bake
        "Отойти от печи":
            jump kit_reddy

# =================== ПОЛЯНА ШАПКИ ================
label pol_flowers:
    show screen loc("Поляна цветов")
    call event_gonec from _call_event_gonec
    $pol_flowers_desc = ""
    if wolf_count_2 == 0:
        $pol_flowers_desc = "Если бы не ужасная вонь из выгребной ямы!"

    if event_loc["pol_flowers"] == 1:
        $event_loc["pol_flowers"] = 2
        nar "Прекрасная поляна, освещенная ласковым ярким солнцем. Сочная зеленая трава, никогда не видавшая косы, может доходить до колен. Синие цветочки радуют глаз. По центру поляны располагается бревенчатая изба, дающая благодатную тень в самый солнцепек." 
        nar "Под навесом стоит станок для выделки шкур. Все безмятежно и гармонично. Если бы не..."
        reddy "Что еще за вонь?! Ну и тухлятина..."
        reddy "Как будто из выгребной ямы. Оттуда, конечно, не ромашками пахнет, но не настолько же! Надо проверить."
    menu:
        nar "По центру поляны располагается бревенчатая изба, дающая благодатную тень в самый солнцепек. Под навесом стоит станок для выделки шкур. Все безмятежно и гармонично. [pol_flowers_desc]"
        "К выгребной яме":
            jump pol_vigreb
        "К станку":
            jump pol_stanok
        "Поискать валериану" if event_dialog["babka_love"] == 2 and inv_exist["valeriana"] == 0:
            reddy "А вот и травка!"
            $valeriana_count = 1
            if inv_exist["valeriana"] == 0:
                $inv.append(valeriana)
                $inv_exist['valeriana'] = 1
            jump pol_flowers
        "В дом":
            scene room_reddy with fade
            jump room_reddy
        "По лесной тропе":
            scene tropa1 with fade
            jump tr_les1

    # яма
    label pol_vigreb:
        if wolf_count_2 == 0:
            $von = 1
            menu:
                nar "В яме валяется помятого вида волк. Блаженно подставив пузо небу, он напевает что-то заунывное и периодически зачерпывает себе в пасть очередную порцию \"вкусняшки\", находящейся в яме для мусора и других отходов."
                "Привлечь внимание волка":
                    if event_pers["vonuchka"] == 1:
                        $event_pers["vonuchka"] = 2
                        reddy "Эй ты, что ты делаешь?"
                        vonny "Как будто не понятно. Ем."
                        nar "Волк на пару секунд отвлекся от поедания отходов и смерил Милли презрительным взглядом."
                        reddy "Убирайся отсюда!"
                        vonny "Ты сначала дома у себя уберись, а потом мне советы давай."
                        nar "Волк хрюкнул и вернулся к еде."
                    else:
                        reddy "Эй ты, уходи отсюда!"
                        nar "Но волк не обратил внимание на слова Милли, продолжая свою трапезу."
                    jump pol_vigreb
                "Кинуть пирожком в волка" if pies_count > 0:
                    $pies_count = pies_count - 1
                    call check from _call_check_14
                    reddy "Кусни пирожка, грязнуля!"
                    nar "Милли размахнулась и кинула пирожок прямо в вонючку. Но от ужасных паров пирожок рассыпался на крошки."
                    reddy "Ничего себе! Только зря пирожок потратила."
                    jump pol_vigreb
                "Кинуть шапкой в волка" if inv_exist["hood"] == 1:
                    $item = delete_item(0, 'hood')
                    $inv.append(hood_be)
                    $inv_exist['hood_be'] = 1
                    reddy "Красная шапка, дай мне силу!"
                    nar "С этими словами Милли размахнулась и бросила свою любимую шапку прямо в волка. Шапка не долетела и брякнулась прямо в лужу отходов."
                    nar "Ругаясь на чем свет стоит, девушка забрала пахнущую нечистотами шапку обратно."
                    $reddy   = Character(_("Милли"), what_prefix="", what_suffix="", what_line_leading = 10, image="r1", what_xpos = 300, who_ypos=40, what_xsize = 1600, who_color="#990033")
                    reddy "Не помогло... И о чем я только думала?"
                    jump pol_vigreb
                "Отмыть волка" if inv_exist["vedro_chist"] == 1:
                    reddy "А как тебе такое, вонючка?!"
                    $item = delete_item(12,'vedro_chist')
                    nar "С этими словами Милли кинула ведро с чистящим средством прямо в волка. Врезавшись в последнего, ведро перевернулось и окатило поедателя отходов с головы до лап."
                    vonny "Ааааааааа!!! Нееееет!!! Только не это!!!"
                    nar "Волк бултыхался в мыльной воде и таял..таял..таял на глазах. Скоро от него осталось только бурое пятно."
                    nar "Ведро упало в яму."
                    reddy "Эх, жалко,такое ведерко было хорошее. Потом отмою, сейчас лень."
                    $event_pers["vonuchka"] = 2
                    $wolf_count_2 = wolf_count_2 + 1
                    show screen trof()
                    reddy "Поделом!"
                    jump pol_vigreb
                "Отойти от ямы":
                    reddy "Лучше с ним сейчас не связываться."
                    jump pol_flowers      
        else:
            menu:
                nar "Просто выгребная яма, ничего интересного."
                "Отойти от ямы":
                    jump pol_flowers

    # станок
    label pol_stanok:
        menu:
            reddy "Мой отличный крафтовый станок. Здесь я могу делать себе полезные вещички. Вот только шкур надо добыть. И других ингредиентов."
            "Переписать рецепты" if inv_exist["recept_craft"] == 0:
                $inv_exist["recept_craft"] = 1
                $inv.append(klok)
                $inv_exist['recept_craft'] = 1
                $inv_exist['klok'] = 1
                reddy "Это мне пригодится! Запищу-ка на бумажке."
                jump pol_stanok
            "Сделать алые сапожки" if inv_exist["recept_craft"] == 1 and shkura_count >= 1 and inv_exist["sapogi"] == 0 and ushi_count >= 1:
                $hp = hp + 1
                $hp_max = hp_max + 1
                $inv.append(sapogi)
                $inv_exist['sapogi'] = 1
                $shkura_count = shkura_count - 1
                $ushi_count = ushi_count - 1
                call check from _call_check_27
                show screen hp(hp)
                $ubeg = 1
                reddy "Какие отличные получились сапожки! И здоровья мне прибавили!"
                jump pol_stanok
            "Сделать алые перчатки" if inv_exist["recept_craft"] == 1 and shkura_count >= 1 and inv_exist["perchi"] == 0 and hvost_count >= 1 and kogti_count >= 1:
                $hp = hp + 1
                $hp_max = hp_max + 1
                $inv.append(perchi)
                $inv_exist['perchi'] = 1
                $shkura_count = shkura_count - 1
                $hvost_count = hvost_count - 1
                $kogti_count = kogti_count - 1
                call check from _call_check_25
                show screen hp(hp)
                reddy "Какие отличные получились перчатки! И здоровья мне прибавили!"
                jump pol_stanok
            "Сделать алый плащик" if inv_exist["recept_craft"] == 1 and shkura_count >= 2 and inv_exist["plash"] == 0 and hvost_count >= 1 and kogti_count >= 1:
                $hp = hp + 1
                $hp_max = hp_max + 1
                $inv.append(plash)
                $inv_exist['plash'] = 1
                $shkura_count = shkura_count - 2
                $hvost_count = hvost_count - 1
                $kogti_count = kogti_count - 1
                call check from _call_check_26
                show screen hp(hp)
                reddy "Прекрасный плащ. Сразу видно, рука мастера! И здоровья мне прибавил!"
                jump pol_stanok
            "Отойти от станка":
                jump pol_flowers


# =================== ТРОПА ЛЕСНАЯ ================

label tr_les1:
    show screen loc("Лесная тропа")
    call event_gonec from _call_event_gonec_1
    if wolf_count_0 == 0:
        call event_wolf_o_tropa from _call_event_wolf_o_tropa
    menu:
        nar "Лесная тропа вьется между деревьями, словно змея."
        "К домику Милли":
            scene pol_flowers with fade
            jump pol_flowers
        "В рощу дубов":
            scene dubi with fade
            jump dubi


label tr_les2:
    show screen loc("Лесная тропа")
    call event_gonec from _call_event_gonec_2
    if event_pers["psih"] == 1 and pies_count > 0 and wolf_count_6 == 0:
        $event_pers["psih"] = 0
        jump event_psih
    menu:
        nar "Лесная тропа вьется между деревьями, словно змея."
        "На болото":
            $event_pers["psih"] = 1
            scene boloto with fade
            jump boloto
        "В чащу":
            $event_pers["psih"] = 1
            scene chasha with fade
            jump chasha2
        "К домику дровосека":
            $event_pers["psih"] = 1
            scene pol with fade
            jump pol_drov




# =================== ЧАЩА ================
label chasha1:
    show screen loc("Лесная чаща")
    call event_volk_o from _call_event_volk_o
    menu:
        nar "Здесь самый густой и темный лес. Милли знала, что в этой чаще нужно быть очень осторожной, потому что можно не только наткнуться на самых опасных волков в округе, но и случайно угодить ногой в старый капкан –  дровосек расставил несколько, а убрать забыл."
        "Глубже в лес":
            jump chasha1_gl
        "Пошарить по кустам" if kapkan_count == 0:
            nar "Милли осмотрела ближайшие кусты."
            $kapkan_count = kapkan_count + 1
            if inv_exist["kapkan"] == 0:
                $inv.append(kapkan)
                $inv_exist['kapkan'] = 1
            reddy "Отличная находка."
            nar "Девушка достала старый, но вполне рабочий капкан."
            jump chasha1
        "На тропу":
            scene tropa1 with fade
            jump tr_les1

label chasha2:
    show screen loc("Лесная чаща")
    call event_volk_o from _call_event_volk_o_1
    menu:
        nar "Здесь самый густой и темный лес. Милли знала, что в этой чаще нужно быть очень осторожной, потому что можно не только наткнуться на самых опасных волков в округе, но и случайно угодить ногой в старый капкан –  дровосек расставил несколько, а убрать забыл."
        "Пошарить по кустам" if kapkan_count <= 1:
            nar "Милли осмотрела ближайшие кусты."
            $kapkan_count = kapkan_count + 1
            if inv_exist["kapkan"] == 0:
                $inv.append(kapkan)
                $inv_exist['kapkan'] = 1
            reddy "Отличная находка."
            nar "Девушка достала старый, но вполне рабочий капкан."
            jump chasha2
        "Глубже в лес":
            jump chasha2_gl
        "На тропу":
            scene tropa2 with fade
            jump tr_les2


label chasha1_gl:
    call event_volk_z from _call_event_volk_z
    menu:
        nar "Здесь лес еще гуще, довольно темно, так как солнце с трудом проникает через плотные кроны."
        "Искать папоротник" if event_dialog["babka_love"] == 2 and inv_exist["paporotnik"] == 0:
            nar "Милли потратила почти три часа на поиски этого злосчастного папоротника."
            reddy "Нуднее занятие не придумаешь. Но все, ради дела."
            $inv.append(paporotnik)
            $inv_exist['paporotnik'] = 1
            reddy "Пойду я уже отсюда, что-то тут жутковато."
            scene tropa1 with fade
            jump tr_les1
        "На тропу":
            scene tropa1 with fade
            jump tr_les1

label chasha2_gl:
    call event_volk_z from _call_event_volk_z_1
    menu:
        nar "Здесь лес еще гуще, довольно темно, так как солнце с трудом проникает через плотные кроны."
        "Искать папоротник" if event_dialog["babka_love"] == 2 and inv_exist["paporotnik"] == 0:
            nar "Милли потратила почти три часа на поиски этого злосчастного папоротника."
            reddy "Нуднее занятие не придумаешь. Но все, ради дела."
            $inv.append(paporotnik)
            $inv_exist['paporotnik'] = 1
            reddy "Пойду я уже отсюда, что-то тут жутковато."
            scene tropa2 with fade
            jump tr_les2
        "На тропу":
            scene tropa2 with fade
            jump tr_les2

# =================== ПОЛЯНА ДРОВОСЕКА ================

label pol_drov:
    show screen loc("Лесная поляна")
    call event_gonec from _call_event_gonec_3
    menu:
        nar "Лесная поляна покрыта различной растительностью. Рядом с домом в одну кучу сложены бревна, в другую дрова. В пень для рубки дров воткнут огромный топор. Двери небольшого сарая рядом с домом открыты, так что виден даже точильный станок, на который дровосек копил целых полгода (еще полгода он эту покупку обмывал)."
        "Забрать топор" if inv_exist["topor"] == 0 and inv_exist["topor_z"] == 0:
            if raz == 0:
                reddy "Нет, тут надо разрешения спрашивать. Пропажу топора дровосек точно обнаружит."
            else:
                reddy "Отлично! Топор мне пригодится!"
                $inv.append(topor)
                $inv_exist['topor'] = 1
            jump pol_drov 
        "В дом дровосека":
            if event_pers["drov"] == 1:
                jump event_dom_drov 
            scene dom_drov with fade
            jump dom_drov
        "В рощу дубов":
            scene dubi with fade
            jump dubi
        "По лесной тропе":
            scene tropa2 with fade
            jump tr_les2
        "Поискать валериану" if event_dialog["babka_love"] == 2 and inv_exist["valeriana"] == 0:
            reddy "А вот и травка!"
            $valeriana_count = 1
            if inv_exist["valeriana"] == 0:
                $inv.append(valeriana)
                $inv_exist['valeriana'] = 1
            jump pol_drov

# =================== ДОМ ДРОВОСЕКА ================
label dom_drov:
    show screen loc("Дом дровосека")
    if event_pers["drov"] > 2:
        menu:
            nar "Типичное мужское обиталище. Внутри не просто грязно, а ужас как грязно, будто здесь неделю гуляла разбитная компания. На кровати лежит дровосек и страдает о смысле бытия."
            "Поговорить":
                if event_pers["drov"] == 3:
                    call event_jhon2 from _call_event_jhon2
                if event_pers["drov"] == 4:
                    call event_jhon3 from _call_event_jhon3
                if event_pers["drov"] == 5:
                    call event_jhon4 from _call_event_jhon4
                jump dom_drov
            "Взять пустую бутылку для зелья" if rec_nez == 2:
                if butil_count > 2:
                    reddy "Зачем мне столько бутылок?"
                    jump dom_drov
                if inv_exist['butil'] == 0:
                    $inv.append(butil)
                    $inv_exist['butil'] = 1
                $butil_count = butil_count + 1
                nar "Милли положила пустую бутыль в сумку."
                jump dom_drov
            "Взять носки для зелья" if rec_nez == 2 and inv_exist['noski'] == 0:
                reddy "Фyyy... Ладно, это только для дела."
                $inv.append(noski)
                $inv_exist['noski'] = 1
                jump dom_drov
            "Выйти из дома":
                scene pol with fade
                jump pol_drov
    if event_pers["drov"] == 2:
        jump event_jhon1
    if event_pers["drov"] == 1:
        menu:
            nar "Типичное мужское обиталище. Внутри не просто грязно, а ужас как грязно, будто здесь неделю гуляла разбитная компания. На столе открытая бутыль с рассолом и одиноким огурцом. Недалеко от стопки грязной посуды возвышается гора нестиранного белья. Отдельно от всего этого великолепия в почетном углу стоят носки. Для верности они накрыты платком, чтобы меньше воняли."
            "Выйти из дома":
                scene pol with fade
                jump pol_drov
            "Взять пустую бутылку для зелья" if rec_nez == 2:
                if inv_exist['butil'] == 0:
                    $inv.append(butil)
                    $inv_exist['butil'] = 1
                $butil_count = butil_count + 1
                nar "Милли положила пустую бутыль в сумку."
                jump dom_drov
            "Взять носки для зелья" if rec_nez == 2 and inv_exist['noski'] == 0:
                reddy "Фyyy... Ладно, это только для дела."
                $inv.append(noski)
                $inv_exist['noski'] = 1
                jump dom_drov


# =================== ДУБЫ ================

label dubi:
    show screen loc("Дубовая роща")
    call event_gonec from _call_event_gonec_4
    if event_loc["dubi"] == 1:
        $event_loc["dubi"] = 2
        reddy "Когда-то это была моя любимая поляна..."
        reddy "Тут мы с дровосеком..хм..гуляли."
        reddy "Тут же я встретила своего первого волка. И сделала из него свою красную шапочку."
        boss_g  "Ты всегда была злой. Никогда не любила животных. Может, от этого все твои проблемы?"
        reddy "Прочь!"
    menu:
        nar "Чудесная поляна, на которой растут огромные дубы-колдуны. Когда-то давно несколько древних друидов собрались на митинг и так долго слушали Верховного, что превратились в деревья. Поговаривают, что они просыпаются раз в сто лет, но это неточно. Сейчас здесь постоянно трутся белки, кидаясь желудями в других лесных жителей. Кроме того, под деревьями дрыхнут жирные волки."
        "Поискать белок":
            call event_belka from _call_event_belka_3
            jump dubi
        "Набрать желудей" if rec_nez == 2 and jel_count < 10:
            $jel_count = jel_count + 10
            if inv_exist['jel'] == 0:
                $inv.append(jel)
                $inv_exist['jel'] = 1
            nar "Милли набила сумку желудями."
            jump dubi
        "Заняться волками":
            jump event_zhir
        "По лесной тропе":
            scene tropa1 with fade
            jump tr_les1
        "К домику дровосека":
            scene pol with fade
            jump pol_drov



# =================== БОЛОТО ================

label boloto:
    show screen loc("Болото")
    call event_gonec from _call_event_gonec_5
    if event_loc["boloto"] == 1:
        $event_loc["boloto"] = 2
        reddy "Да тут и шагу нельзя ступить, по всему болоту торчат уши волков прокрастинаторов!"
        reddy "Надо избавляться от них. Ну или уменьшать их поголовье."
        reddy "Расплодились и прокрастинируют!"
    menu:
        nar "Из болота подымается тяжелый запах гнилых водорослей и сырых грибов. Почва пружинится и дрожит под ногами, и при каждом шаге где-то сбоку и внизу раздается жирное хлюпанье просачивающейся тины. Да еще волки прокрастинаторы обжились тут по-полной!"
        "Набрать водички" if butil_count > 0:
            $butil_count = butil_count - 1
            call check from _call_check_30
            $butil_b_count = butil_b_count + 1
            if inv_exist['butil_b'] == 0:
                $inv.append(butil_b)
                $inv_exist['butil_b'] = 1
            reddy "Есть!"
            jump boloto
        "Заняться волками":
            call event_pr from _call_event_pr_3
            jump boloto
        "К домику бабушки":
            scene muh with fade
            jump muh
        "К реке":
            scene reka with fade
            jump reka
        "По лесной тропе":
            scene tropa2 with fade
            jump tr_les2


# =================== ПОЛЯНА МУХОМОРОВ ================

label muh:
    show screen loc("Поляна мухоморов")
    call event_gonec from _call_event_gonec_6
    menu:
        nar "На поляне то тут, то там растут мухоморы. С ними соседствуют яркие цветочные клумбы, окружающие дом бабушки. За домом располагается огород с аккуратными рядами овощей да зелени. Несколько котов, деловито перемяукиваясь, пропалывают сорняки и ведут прочие сельскохозяйственные работы."
        "Осмотреться":
            jump muh_desc
        "В дом бабушки":
            reddy "Тук-тук-тук!"
            babka "Не заперто, входи!"
            scene room_babka with fade
            jump room_babka
        "На болото":
            scene boloto with fade
            jump boloto

label muh_desc:
    menu:
        reddy "Чем бы мне заняться?"
        "Погладить котика":
            if inv_exist["cat"] == 0:
                reddy "Котики такие милые... Так и хочется взять одного с собой..."
                babka "Эй, не вздумай там котиков у меня таскать!"
                reddy "Бабушка, у тебя там передача по радио началась \"Котлетки из ветки\", не пропусти!"
                babka "Ах, я разиня старая!"
                reddy "Пойдем ко мне, котеночек."
                nar "Пока бабушка ненадолго отвлеклась, Милли схватила одного котейку и спрятала его в шапку."
                $cat_count = cat_count + 1
                $inv.append(cat)
                $inv_exist['cat'] = 1
            else:
                nar "Милли погладила котиков и на душе у нее наступила благодать на пару минут от их милого мурчания."
            jump muh_desc
        "Заняться огородом" if babka_pomosh == 3 and event_ogorod == 0:
            call event_ogorod from _call_event_ogorod
            jump muh_desc
        "Набрать мухоморов" if muh_count < 10:
            $muh_count = 10
            if inv_exist["muh"] == 0:
                $inv.append(muh)
                $inv_exist['muh'] = 1
            reddy "Мухоморчики всегда пригодятся! Бабушке в суп подмешать. Ой!"
            jump muh_desc
        "Поискать валериану" if event_dialog["babka_love"] == 2 and inv_exist["valeriana"] == 0:
            reddy "А вот и травка!"
            $valeriana_count = 1
            if inv_exist["valeriana"] == 0:
                $inv.append(valeriana)
                $inv_exist['valeriana'] = 1
            jump muh_desc
        "Закончить дела на поляне":
            jump muh

# =================== ДОМ БАБКИ ================

label room_babka:
    show screen loc("Дом бабушки")
    menu:
        nar "Огромная кухня воистину является царством бабки. Множество специй, ингредиентов, приборов расставлено по своим местам. Тут и там располагаются коты, занимающиеся своими кошачьими и бабкиными делами. Стол покрыт свежей скатертью, рядом дубовый шкаф. Особое место справа от входа занимает самогонный аппарат. Сама бабушка сидит в кресле и вяжет."
        "Поговорить с бабушкой":
            jump dialog_babka1
        "Подойти к аппарату":
            jump apparat_babka
        "Подойти к шкафу":
            jump shkaf_babka
        "Выйти из дома":
            scene muh with fade
            jump muh


label shkaf_babka:
    menu:
        nar "В шкафу на полках лежит куча разноцветных баночек, скляночек, ржавый пинцет... Назначение некоторых предметов лучше не знать."
        "Взять хлорку" if ( babka_pomosh == 1 or babka_scazala == 1 ) and inv_exist["chist"] == 0:
            $inv.append(chist)
            $inv_exist['chist'] = 1
            reddy "О, тут целая бутылка! Надолго хватит."
            jump shkaf_babka
        "Взять зелье здоровья":
            babka "Руки прочь! Сначала помоги бабушке и я сама тебе все дам!"
            reddy "Эх, бабушка варит отличные зелья здоровья. Вот только рецептом не делится."
            jump shkaf_babka
        "Отойти":
            jump room_babka

label apparat_babka:
    menu:
        nar "Чудо-аппарат, при помощи которого бабка варит свои зелья и отвары. Иногда мне разрешает попользоваться."
        "Переписать рецепт" if rec_nez == 1:
            if inv_exist["recept_craft"] == 1:
                $rec_nez = 2
                $write = write + "{vspace=10}{b}Бальзам Незабудка{/b}  = 1 бутыль + 1 грязь с носков + 1 болотная вода + 1 желудь"
                nar "И правда, мелким шрифтом был написан рецепт бальзама \"Незабудка\". Милли аккуратно переписала его к себе."
            else:
                reddy "А на чем писать -то? Может у бабушки попросить? Нет, не стоит. А то еще развопится, что я у нее последние бумажки отбираю, и скоро нечем будет... Кхм. Ладно, неважно. Найду сама. Вроде у меня был чистый свиток на поляне у станка."
            jump apparat_babka
        "Приготовить Незабудку" if rec_nez == 2:
            if inv_exist['noski'] == 1 and inv_exist['butil_b'] == 1 and inv_exist['jel'] == 1:
                reddy "Варим-варим!"
                $butil_b_count = butil_b_count - 1
                $jel_count = jel_count - 1
                call check from _call_check_28
                if inv_exist['nezabudka'] == 0:
                    $inv.append(nezabudka)
                    $inv_exist['nezabudka'] = 1
                $nezabudka_count = nezabudka_count + 1
                reddy "Ммм... Какой аромат!"
            else:
                reddy "У меня не хватает ингредиентов!"
            jump apparat_babka  
        "Отойти":
            jump room_babka

label cat_babka:
    menu:
        reddy "Котики такие милые!"
        "Отойти":
            jump room_babka


# =================== РЕКА ================
label reka:
    show screen loc("Река")
    call event_gonec from _call_event_gonec_7
    $reka_desc = ""
    if event_pers["drov"] == 1:
        $reka_desc = "На берегу сидит грустный дровосек и стирает в ведре свои носки."
    if event_pers["drov"] != 1 and wolf_count_3 == 0:
        $reka_desc = "На берегу сидит невинный волк и поет песенки. Откуда он тут взялся?!"
    menu:
        nar "Весело журчащая речка с кристально-чистой ледяной водой. Галечный берег перемежается проплешинами сорной травы. Плакучая ива низко склонилась, образуя отгороженное от мира местечко, где виднеется вход в пещеру. [reka_desc]"
        "Поговорить с дровосеком" if event_pers["drov"] == 1:
            if event_dialog["drov"] == 1:
                call dialog_drov2 from _call_dialog_drov2
            if event_dialog["drov"] == 0:
                call dialog_drov1 from _call_dialog_drov1
            jump reka
        "Набрать воды в ведро" if inv_exist["vedro"] == 1:
            $item = delete_item(31, 'vedro')
            if inv_exist["vedro_v"] == 0:
                $inv.append(vedro_v)
                $inv_exist['vedro_v'] = 1
            nar "Милли зачерпнула в ведерко речной воды."
            jump reka
        "Постирать бабкины шмотки" if inv_exist["chist"] == 1 and inv_exist["belie"]:
            nar "Милли добавила в белье хлорки и стала остервенело тереть его руками."
            $mp = mp - 1
            show screen mp(mp)
            nar "Это ужасное занятие лишало ее воли, но она не отступала."
            call check from _call_check_29
            nar "Наконец, последние панталоны были застираны."
            $item = delete_item(5, 'belie')
            if inv_exist["belie_ch"] == 0:
                $inv.append(belie_ch)
                $inv_exist['belie_ch'] = 1
            jump reka
        "Постирать шапку" if inv_exist['hood_be'] == 1 and inv_exist["chist"] == 1:
            $inv.append(hood)
            $inv_exist['hood'] = 1
            $item = delete_item(11, 'hood_be')
            nar "Милли сняла шапку, налила на нее немного хлорки и принялась яростно отстирывать пятна. Вскоре шапка снова стала алого цвета."
            $reddy   = Character(_("Милли"), what_prefix="", what_suffix="", what_line_leading = 10, image="r", what_xpos = 300, who_ypos=40, what_xsize = 1600, who_color="#990033")
            reddy "Вот так то лучше!"
            jump reka
        "Поговорить с волком" if event_pers["drov"] != 1 and wolf_count_3 == 0:
           call event_nev from _call_event_nev
           jump reka
        "Замахнуться топором на волка" if ( inv_exist["topor"] == 1 or inv_exist["topor_z"] == 1 ) and wolf_count_3 == 0:
            reddy "Нет, я не могу. Он выглядит таким невинным..."
            jump reka
        "На болото":
            scene boloto with fade
            jump boloto
        "В пещеру":
            if boss_meet == 0:
                nar "Пещера закрыта огромным камнем. Рядом табличка с надписью \"Тихо! Идет совещание!\""
                jump reka
            else:
                nar "Милли увидела, что камень, который раньше закрывал вход в пещеру, был сдвинут, и там образовался проход."
                reddy "Если я закончила в лесу все свои дела, то мне туда."
                menu: 
                    reddy "Почему-то мне кажется, что, когда я войду, моя жизнь сильно изменится..."
                    "Я вернусь сюда попозже":
                        jump reka
                    "Идти внутрь":
                        if love_drov >= 2:
                            call event_love_drov from _call_event_love_drov
                        scene peshera with fade
                        jump peshera


# =================== ПЕЩЕРА ================

label peshera:
    show screen loc("Пещера")
    nar "Милли вошла в пещеру и нос к носу столкнулась с незнакомой девушкой."
    call event_milli from _call_event_milli
    nar "Из задумчивости Милли вывели волки охранники, которые очень тихо подошли к ней."
    ohr "Оружие, запрещенные предметы, все сдаем."
    reddy "Ээээ..."
    nar "Не успела Милли опомниться, как ее лишили всех опасных, на взгляд охраны, вещей. Их было слишком много, но девушка и не собиралась избавляться от охраны. Главное добраться до босса."
    if inv_exist['topor'] == 1:
        $item = delete_item(18,'topor')
    if inv_exist['topor_z'] == 1:
        $item = delete_item(19,'topor_z')
    if inv_exist['pies'] == 1:
        $item = delete_item(1,'pies')
    nar "Поворчав для порядка, охотница на волков зашла в большую залу."
    reddy "А вот и я."
    boss "А вот и вы. Милли. 26 лет. Не замужем. Интроверт. Все верно, ваше досье у меня уже на столе."
    boss "Пришли трудоустроиться? Я как раз набираю толковый персонал."
    reddy "Что? Я не..."
    call prov_hp from _call_prov_hp
    boss "Так. Это обсудили. Теперь, пожалуй, перейдем к собеседованию."
    boss "Итак, вопрос первый. Каковы ваши достижения?"
    $mp = mp - 1
    show screen mp(mp)
    nar "Этот вопрос выбил Милли из колеи. Она чувствовала, что ее воля угасает."
    if mp == 0:
        jump end_mp_vse
    nar "Но она не собиралась сдаваться."
    menu:
        reddy "..."
        "Я бью волков на трофеи":
            if mp < mp_max:
                $mp = mp + 1
            nar "Милли выпалила это и воодушевилась."
            nar "Боссу не понравился этот ответ. Но он лишь скрипнул зубами."
            jump qu2
        "Помогаю бабушке":
            $mp = mp - 1
            show screen mp(mp)
            nar "Это прозвучало очень глупо."
            if mp == 0:
                jump end_mp_vse
            boss "Тоже мне достижение. Я вообще-то про профессиональные."
            jump qu2
        "Да нет особых достижений":
            $mp = mp - 1
            show screen mp(mp)
            nar "Это прозвучало очень жалко."
            if mp == 0:
                jump end_mp_vse
            boss "Ну всегда можно начать с чистого листа."
            jump qu2
        "Мне кажется, я сама придумала волков":
            $osoznanie = osoznanie + 1
            boss "Как это?"
            reddy "Иногда мне кажется, что все здесь не настоящее. Придуманное. А реальный мир ускользает от моего сознания."
            boss "Вы может с волком психологом переобщались?"
            reddy "Я его пирожком угостила."
            jump qu2


label qu2:
    boss "Ладно, допустим. Второй вопрос, мой любимый. Ваша зона продаж - лес. Клиенты - лесные жители. Придумайте прибыльный стартап."
    reddy "Чего придумать?"
    boss "Что мы им продавать будем? И чтобы самим заработать."
    $mp = mp - 1
    show screen mp(mp)
    nar "Милли смутилась от этого вопроса. Она не привыкла к такому."
    if mp == 0:
        jump end_mp_secr
    nar "Но она не собиралась сдаваться."
    menu:
        reddy "..."
        "Орешки":
            reddy "Я считаю, что можно торговать орешками."
            boss "И кто их будет покупать? Неплатежеспособные белки? Сразу видно, тут вы профан."
            $mp = mp - 1
            show screen mp(mp)
            nar "Милли прикусила губу и чуть не расплакалась."
            if mp == 0:
                jump end_mp_secr
            jump qu3
        "Незабудку":
            reddy "Предлагаю бальзамом \"Незабудка\" торговать."
            boss "Незабудка? Ромашку знаю, василек знаю, а незабудку? Не, не слышал." 
            if nezabudka_count > 0:
                reddy "А у меня с собой как раз есть."
                nar "Девушка взяла со стола волка чашку, щедро покрытую кофейными разводами, и плеснула туда немного напитка из бутылки."
                nar "Волк хлебнул и причмокнул от удовольствия."
                if mp < mp_max:
                    $mp = mp + 1
                boss "Дельное предложение. Уникальный рецепт, необычные свойства. Думаю, спрос будет."
                nar "Милли воодушевилась."
            else:
                reddy "Эх, а у меня, как назло, нет с собой ни одной бутылочки..."
                boss "А если я не знаю чего-то, значит, этого просто не существует."
                $mp = mp - 1
                show screen mp(mp)
                nar "Милли прикусила губу и чуть не расплакалась."
                if mp == 0:
                    jump end_mp_secr
            jump qu3
        "Мухоморы":
            reddy "Может, мухоморы продадим? Их целая поляна."
            boss "План не очень. Волки прокрастинаторы слишком много прокрастинируют. У них мало денег."
            $mp = mp - 1
            show screen mp(mp)
            nar "Милли прикусила губу и чуть не расплакалась."
            if mp == 0:
                jump end_mp_secr
            jump qu3
        "Стирку носков":
            reddy "Откроем прачечную?"
            boss "И кто туда будет ходить? У меня лапки. Или думаешь, у дровосека нескончаемый запас носков грязных?"
            $mp = mp - 1
            show screen mp(mp)
            nar "Милли прикусила губу и чуть не расплакалась."
            if mp == 0:
                jump end_mp_secr
            jump qu3
        "В этом нет смысла":
            $osoznanie = osoznanie + 1
            reddy "Не вижу смысла открывать иллюзорный стартап в ненастоящем лесу."
            boss "Мда, тут тяжелый случай. А у меня волки санитары закончились."
            jump qu3


label qu3:
    boss "Вопрос последний. Кем вы видите себя в нашей компании через пять лет."
    menu:
        reddy "..."
        "Боссом, конечно!":
            boss "Чтоооо..о..о..о..."
            nar "Самообладание покинуло его. Он хотел закричать \"Что за наглость, но от избытка чувств поперхнулся и издох на месте."
            $wolf_count_7 = wolf_count_7 + 1
            show screen trof()
            nar "Милли подняла последний трофей."
            jump end_boss
        "Никакой вашей компании нет" if osoznanie > 0:
            reddy "Нет ни вас, ни компании... Это просто сон."
            hide screen trof
            hide screen inv
            hide screen inv_v
            hide screen hp
            hide screen mp
            scene black with circleirisin
            reddy "Просто сон..."
            jump palata
        "Даже не знаю...":
             jump end_mp_secr
        "Хочу быть охотником за трофеями":
            boss "Ах так! Охрана! Выведите ее отсюда!"
            ohr "Есть, босс!"
            nar "Милли уже приготовилась к позорной капитуляции..."
            if ring == 1:
                nar "Но вдруг в пещеру вбежал дровосек. В его руках было огромное полено, им он раскидал охрану."
                drov "Бежим, Милли!"
                nar "И они бросились к выходу."
                reddy "Я все равно не сдамся!"
            else:
                nar "Так и случилось. Ее просто вышвырнули из пещеры."
                reddy "Я все равно не сдамся."
            jump ohotnica


label prov_hp:
    boss "На больничные часто ходите?"
    reddy "В каком смысле?"
    if dead > 0:
        boss "Смотрю, больная вы вся какая-то. Или израненная. Волками погрызанная."
        reddy "Да вроде бабушка все залечила... Но на погоду все равно болит."
        nar "Милли вдруг почувствовала, что силы покидают ее."
        $hp = hp - dead
        show screen hp(hp)
        if hp <= 0:
            jump end_hp_vse
        nar "Но взяв себя в руки, девушка устояла на ногах."
        boss "Выдержали, уже хорошо."
    else:
        boss "Да неважно. Смотрю, здоровы вроде. Работоспособны."
    return
