screen hp(hp):
    zorder 2
    frame:
        area (400, 20, 320, 100)
        background "#ffffff80"
        vbox:
            text "Здоровье":
                xpos 80
                size 34
                color "#000"
                font "19343.ttf"
            hbox:
                for x in range(0, hp):
                    image "images/ikons/heart.png"


screen mp(hp):
    zorder 2
    frame:
        area (1150, 20, 320, 100)
        background "#ffffff80"
        vbox:
            text "Воля":
                xpos 120
                size 34
                color "#000"
                font "19343.ttf"
            hbox:
                for x in range(0, hp):
                    image "images/ikons/heart1.png"


screen inv_v():
    zorder 2
    frame:
        area (1600, 20, 150, 50)
        background None
        vbox:
            imagebutton:      
                idle "images/ikons/inv.png"
                hover "images/ikons/inv1.png"
                action[ Show("inv", transition = dissolve), Hide("inv_v", transition = dissolve) ]
            text "Сумка":
                xoffset 50
                yoffset -10
                size 36
                # bold 1
                font "19343.ttf"

screen trof():
    zorder 2
    frame:
        style_prefix "troff"
        area (10, 20, 360, 770)
        background "#ffffffA6"
        vbox:
            text "Трофеи":
                xpos 100
                size 34
                color "#000"
                font "19343.ttf"
            for item in range(0, len(wolf)):
                hbox:
                    hbox:
                        image wolf[item]['image']
                        vbox:
                            textbutton wolf[item]['name']:
                                ypos 10
                                action[SetVariable("item_troff", item ), Show("troff_desc", transition = dissolve) ]
                            text unicode(getattr(store, "wolf_count_{0}".format(item))) + " шт." style "desc_obj":
                                xpos 50
                                ypos 10
           


screen loc(loc):
    tag loca
    zorder 4
    frame:
        area (0, 0, 1920, 1080)
        background None
        text loc:
            xalign 0.5
            size 52
            color "#000"
            font "19343.ttf"


screen inv():
    zorder 2
    $ch= check_item()
    $n = 0.1
    $m = 0.02
    frame:
        area (1500, 20, 400, 770)
        background "#ffffff80"
        for item in inv:
            $name = item['name']
            imagebutton:      
                xalign m
                yalign n
                idle (item['image']) 
                hover (item['image_hover'])
                action[SetVariable("num", inv.index(item) ), Show("inv_desc", transition = dissolve)]
            $m += 0.33
            if m >= 1.1:
                $m = 0.02
                $n += 0.12
        vbox:
            yalign 0.0
            xalign 0.02
            textbutton _("X"):
                text_idle_color "#000"
                text_hover_color "#999"
                action[ Hide("inv", transition = dissolve), Show("inv_v", transition = dissolve) ]


screen inv_desc():
    zorder 2
    modal 1
    frame:
        area (600, 180, 650, 400)
        background "images/ikons/okno_predmet.png"
        vbox:
            yoffset 30
            text inv[num]['name']:
                xpos 200
                size 34
                font "19343.ttf"
            text "" style "desc_obj"
            text inv[num]['desc'] style "desc_obj":
                xsize 570
                xoffset 40
            text "" style "desc_obj"
            if inv[num]['count'] > "0":
                text "Количество: "+inv[num]['count'] + " шт." style "desc_obj":
                    xsize 570
                    xoffset 40
            style_prefix "book"
            if inv[num]['id'] == 14 and muh_count > 0 and belka_count > 0:
                textbutton _("Набить мухоморами"):
                    action [SetDict(inv_exist, "belka_m", 1), SetVariable("belka_m_count", belka_m_count + 1 ), SetVariable("flag", 'belochka' ), SetVariable("belka_count", belka_count - 1 ), SetVariable("muh_count", muh_count - 1 ), Hide("inv_desc"), Show("inv")]
                    xoffset 170
            if inv[num]['id'] == 17 and zelie_count > 0 and hp < hp_max:
                textbutton _("Выпить зелье"):
                    action [SetVariable("hp", hp + 1 ), SetVariable("zelie_count", zelie_count - 1 ), Show("hp", transition=None, hp=hp+1), SetVariable("flag", 'zeze' ), Hide("inv_desc"), Show("inv")]
                    xoffset 170
            if inv[num]['id'] == 32 and inv_exist['chist'] == 1:
                textbutton _("Добавить хлорку"):
                    action [AddToSet(inv, vedro_chist), SetDict(inv_exist, 'vedro_v', 0), SetDict(inv_exist, 'vedro_chist', 1),  RemoveFromSet(inv, vedro_v)]
                    xoffset 170
            textbutton _("OK"):
                action [SetVariable("flag", 'test' ), Hide("inv_desc", transition = dissolve)]
                xoffset 270

screen troff_desc():
    # $ cursor()
    zorder 4
    modal 1
    frame:
        area (600, 180, 600, 300)
        background "images/ikons/okno_predmet.png"
        vbox:
            yoffset 30
            text wolf[item_troff]['name']:
                xpos 200
                size 34
                font "19343.ttf"
            text "" style "desc_obj"
            text wolf[item_troff]['desc'] style "desc_obj":
                xsize 570
                xoffset 40
            style_prefix "book"
            textbutton _("OK"):
                action [Hide("troff_desc", transition = dissolve)]
                xoffset 270


screen book_wolf():
    zorder 2
    modal 1
    frame:
        style_prefix "book"
        area (400, 200, 1070, 400)
        background "images/kniga.jpg"
        vbox:
            yoffset 30
            hbox:
                textbutton _("Обычный волк"):
                    xoffset 30
                    action[SetVariable("text_wolf", wolf_info[0] ), Show("book_wolf")]
                textbutton _("Зубастый волк"):
                    xoffset 60
                    action[SetVariable("text_wolf", wolf_info[1] ), Show("book_wolf")]
                textbutton _("Жирный волк"):
                    xoffset 90
                    action[SetVariable("text_wolf", wolf_info[2] ), Show("book_wolf")]
                textbutton _("Невинный волк"):
                    xoffset 120
                    action[SetVariable("text_wolf", wolf_info[3] ), Show("book_wolf")]
            hbox:
                textbutton _("Волк-прокрастинатор"):
                    xoffset 30
                    action[SetVariable("text_wolf", wolf_info[4] ), Show("book_wolf")]
                textbutton _("Волк-психолог"):
                    xoffset 60
                    action[SetVariable("text_wolf", wolf_info[5] ), Show("book_wolf")]
                textbutton _("Волк-вонючка"):
                    xoffset 90
                    action[SetVariable("text_wolf", wolf_info[6] ), Show("book_wolf")]
                textbutton _("Волк-босс"):
                    xoffset 120
                    action[SetVariable("text_wolf", wolf_info[7] ), Show("book_wolf")]
            text "[text_wolf]":
                italic 1
                size 26
                xsize 1030
                xoffset 20
                yoffset 20

            textbutton _("OK"):
                xoffset 490
                yoffset 20
                action [Hide("book_wolf", transition = dissolve), Show("trof", transition = dissolve)]


